function y = fcn2plot(x)
% FCN2plot returns an array containing two functions to be
% plotted simultaneously with fplot

% BE SURE TO COMMENT OUT ALL DEFINITIONS NOT REQUIRED

% The following is used for plotting two functions with 'fplot'

% for the polynomial f2, this is rearrangment for 1-point iteration
%y(:,1) = -1200/(x^3 - 5*x^2 - 124*x + 380);     % version 1
%y(:,1) = (5*x^3 + 124*x^2 - 380*x - 1200)/x^3;   % version 2
y(:,1) =(-x^4 + 5*x^3 - 380*x - 1200)/(-124*x);   % version 3
y(:,2) = x;


