function sinecomp(n)
%sinecomp(n) where n is the number of terms used in 'mysine'
%this m-file tests the difference between the function [x]=mysine(theta,n)
%and the built-in MATLAB function [x]=sin(theta)
t=0:pi/100:2*pi;
s=sin(t);
i=0;
for t1=0:pi/100:2*pi;
   i=i+1;
   ms(i)=mysine(t1,n);
end;
plot(t,s,'b')
%axis tight
hold on
plot(t,ms,'g')
plot(t,(ms-s),'r')
xlabel('Theta, /(radians)')
legend('MATLAB Sin','Mysine','Error')
x=[0 2*pi];y=[0 0];plot(x,y,'k')
title(['Mysine error check: ' int2str(n) ' terms'])
text(.5,-.5,['max error=' num2str(max(abs((ms-s))))])
hold off
